fop 1.1

## org.apache.fop.render.java2d
Class Base14FontCollection

    java.lang.Object
      org.apache.fop.render.java2d.Base14FontCollection

All Implemented Interfaces:
  FontCollection

    public class Base14FontCollection

extends java.lang.Object
implements FontCollection

A base 14 font collection for graphics 2D

Constructor Summary
`Base14FontCollection(Java2DFontMetrics java2DFontMetrics)` Main constructor

Method Summary
`int` `setup(int start, FontInfo fontInfo)` Sets up fonts in a font info object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base14FontCollection

    public Base14FontCollection(Java2DFontMetrics java2DFontMetrics)

  Main constructor

  Parameters:
    `java2DFontMetrics` - required when creating new instances of SystemFontMetricsMapper

Method Detail

### setup

    public int setup(int start,
                     FontInfo fontInfo)

  Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

  Specified by:
    `setup` in interface `FontCollection`
  Parameters:
    `start` - the font starting number
    `fontInfo` - the font info to set up
  Returns:
    the starting font number for the next font to be added

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.